

<?php
	include_once(__DIR__."/../../core.php");
	include($docroot."/config.inc.php");
	
	
	$dir = 'uscita';
	$module_name = 'Ordini fornitore';
	$idordine = $html->form('idordine');
	$dir = get_var_tipodoc2($iddocumento,"dir");	
	
	$filtra_art = $html->form('filtra_art');
	
	$testo_ricerca="Articolo";
	$filtra_fornitori = get_var("Filtra articoli per fornitore");
	
	
	
	//Info documento
	//$q = "SELECT *, (SELECT prc_guadagno FROM mg_listini WHERE id=(SELECT idlistino FROM an_anagrafiche WHERE idanagrafica=co_documenti.idanagrafica) ) AS prc_guadagno FROM co_documenti WHERE id='".$iddocumento."'";
	
	$q = "SELECT *, (SELECT prc_guadagno FROM mg_listini WHERE id=(SELECT idlistino FROM an_anagrafiche WHERE idanagrafica=or_ordini.idanagrafica) ) AS prc_guadagno FROM or_ordini WHERE id='".$idordine."'";
	$rs = $dbo->fetchArray($q);
	( $rs[0]['numero_esterno'] != '' ) ? $numero=$rs[0]['numero_esterno'] : $numero=$rs[0]['numero'];
	$idanagrafica = $rs[0]['idanagrafica'];
	$prc_guadagno = $rs[0]['prc_guadagno'];
	$idconto = $rs[0]['idconto'];
	
	// Info Listino
	$qana = "SELECT idlistino FROM an_anagrafiche WHERE idanagrafica='".$idanagrafica."'";
	$rsana = $dbo->fetchArray($qana);
	$id_listino=$rsana[0]['idlistino'];
	

	
//	$ordine_servizio=get_var_tipodoc2($iddocumento,'mod_ordineservizio');
//	$_SESSION['ordine_servizio'] = $ordine_servizio;
	
	// $query = "SELECT * FROM mg_articoli WHERE attivo=1 ORDER BY id_categoria ASC, id_sottocategoria ASC";
	if( $filtra_fornitori =='1' ){
		$_SESSION['filtro_fornitore'] = $idanagrafica;
		$testo_ricerca="Articoli filtrati per fornitore";
		$query = "SELECT * FROM mg_articoli WHERE attivo=1 and idfornitore='".$idanagrafica."' ORDER BY id_categoria ASC, id_sottocategoria ASC";
	}
	else{
		$_SESSION['filtro_fornitore']="0";
		$query = "SELECT * FROM mg_articoli WHERE attivo=1 ORDER BY id_categoria ASC, id_sottocategoria ASC";
	}
	
	
	$rs = $dbo->fetchArray( $query );
	$n = sizeof($rs);
	$um = $rs[0]['um'];
	
	
	



	/*
		Form di inserimento riga documento
	*/
	
	echo "<label>Documento numero $numero</label><br><br>\n";
	echo "<form id=\"link_form\" action=\"".$rootdir."/editor.php?id_module=".$modules_info[$module_name]['id']."&id_record=".$idordine."\" method=\"post\">\n";
	echo "	<input type='hidden' name='op' value='addarticolo'>\n";
	echo "	<input type='hidden' name='dir' value='".$dir."'>\n";
	echo "	<input type='hidden' name='backto' value='record-edit'>\n";
	
	echo "	<div class='row'>\n";


	//Seleziona articolo
	echo "		<div class='col-md-6'>\n";
	echo "			<label>Articolo</label>\n";
	
	

	if( $n==0 ){
		echo "			"._("Non ci sono articoli")."\n";
		echo "			<input type=\"hidden\" id=\"idarticolo\" value=\"0\">\n";
	}
	
	else{
	
		//Se è un documenti di vendita leggo l'iva di vendita dall'articolo in base a quello selezionato...
	//	if( $dir=='entrata' )
			$other_js = " $('#idiva').val( $(this).find('option:selected').attr('idiva_vendita') ); $('#idiva').trigger('liszt:updated'); ";
		
		//...altrimenti leggo l'iva di vendita dal fornitore e non deseleziono quella di default
	//	else
			$other_js = '';
								
			
		//Elenco articoli raggruppati per gruppi e sottogruppi
		echo "			<select id=\"idarticolo\" name=\"idarticolo\" class=\"superselectajax\" data-source=\"articoli_filtro\" onchange=\"$('#prezzi').html(''); $('#qta').keyup(); $.get( '".$rootdir."/ajax_autocomplete.php?module=Articoli&op=getlotti&idarticolo='+$(this).find('option:selected').val(), function(data){ $('#lotto').html(data); update_jchosen('#lotto'); }); $('textarea[name=descrizione]').val( $(this).find('option:selected').attr('descrizione') ); $other_js\">\n";	
			

		echo "				<option value=\"0\">- Seleziona un articolo -</option>\n";
		for( $i=0; $i<$n; $i++ ){
			if( $rs[$i-1]['categoria'] != $rs[$i]['categoria'] ){
				echo "				<optgroup label='".$rs[$i]['categoria']."'>\n";
			}
			
			if( $rs[$i-1]['subcategoria'] != $rs[$i]['subcategoria'] ){
				echo "				<optgroup label='&nbsp;&nbsp;".$rs[$i]['subcategoria']."'>\n";
			}
			//Cerco listino personalizzato
			$rslist = $dbo->fetchArray("SELECT prc_guadagno FROM mg_listini_art WHERE idlistino='".$id_listino."' and idarticolo='".$rs[$i]['id']."'");					
			if( $rslist[0]['prc_guadagno'] <> '0' && sizeof($rslist)>0 ){
				$prc_guadagno_new = - $rslist[0]['prc_guadagno'];											
			}
			else{
				$prc_guadagno_new = -$prc_guadagno;
			}	

			
			echo "					<option value=\"".$rs[$i]['id']."\" sconto='".$prc_guadagno_new."' idconto_riga='".$rs[$i]['id_conto']."' qta_magazzino='".floatval($rs[$i]['qta'])."' prezzo=\"".floatval($rs[$i]['prezzo_acquisto'])."\" guadagno=\"".($rs[$i]['prezzo_vendita']/100*$prc_guadagno)."\" idiva=\"".intval($rs[$i]['idiva_vendita'])."\" descrizione=\"".$rs[$i]['descrizione']."\">".$rs[$i]['codice']." - ".$rs[$i]['descrizione']." (".floatval($rs[$i]['qta']).")</option>\n";
				
		
			
			if( $rs[$i]['categoria'] != $rs[$i+1]['categoria'] ){
				echo "				</optgroup>\n";
			}
			
			if( $rs[$i]['subcategoria'] != $rs[$i+1]['subcategoria'] ){
				echo "				</optgroup>\n";
			}
		}
		
	}
	
	echo "			</select>\n";	
	echo "		</div>\n";
	
	//Fltra per Categoria
	$query = "SELECT * FROM mg_categorie where  parent='0' order by nome";
	$rs_cat = $dbo->fetchArray($query);	
///	echo "		<div class='col-md-4'>\n";
//		echo "			<label>Categoria articolo</label>\n";
//		echo "			<select id='idcategoria1' class='superselect' name=\"idcategoria1\">\n";														
//		echo "					<option value='0'>Nessun Filtro</option>\n";	
//		for( $i=0; $i<sizeof($rs); $i++ ){				
//			echo "	<option value='".$rs_cat[$i]['id']."' $attr>".$rs_cat[$i]['nome']."</option>\n";
//		}	
//		echo "			</select>\n";	
//	echo "		</div>\n";	

	
	
	
	
	echo "	</div>\n";

	
	
	
	//Descrizione
	echo "	<div class='row'>\n";
	echo "		<div class='col-md-12'>\n";
	echo "			<label>Descrizione</label>\n";
	echo "			<textarea name='descrizione' id='descrizione_art' class='form-control'></textarea>\n";
	echo "		</div>\n";
	
	
	
	
	
	
	
	echo "	</div>\n";
	
	
	
	
	echo "<br>";
	
	echo "<div class='panel panel-primary'>";
		echo "<div class='panel-body'>";
			echo "	<div class='row'>\n";		
				//Quantità
				echo "		<div class='col-md-3'>\n";
				echo "			<div class='form-group'>\n";
				echo "				<label>Q.t&agrave;</label>\n";
				echo "				<div class='input-group'>\n";
				echo "					<input type='text' class='form-control inputmask-decimal' id='qta' maxlength='8' name='qta' value=\"1\"><span class='input-group-addon'>".$um."</span>\n";
				echo "				</div>\n";
				echo "			</div>\n";
				echo "		</div>\n";
	
				//Costo unitario
				echo "		<div class='col-md-3'>\n";
				echo "			<div class='form-group'>\n";
				echo "				<label>Costo unitario</label>\n";
				echo "				<div class='input-group'>\n";
				echo "					<input type='text' class='form-control inputmask-decimal' id='prezzo' name='prezzo' value=\"0,00\"><span class='input-group-addon'>&euro;</span>\n";
				echo "				</div>\n";
				echo "			</div>\n";
				echo "		</div>\n";
				
			echo "		</div>\n";
		echo "		</div>\n";
	echo "		</div>\n";
	
	echo "<div class='panel panel-primary'>";
		echo "<div class='panel-body'>";
			echo "	<div class='row'>\n";
				//Sconto
				echo "		<div class='col-md-3'>\n";
				echo "			<div class='form-group'>\n";
				echo "				<label>Sconto</label>\n";
				echo "				<div class='input-group'>\n";
				echo "					<input type='text'  class='form-control inputmask-decimal'  id='sconto' name='sconto' value=\"0,00\" /><span class='input-group-addon'></span>\n";
				echo "				</div>\n";
				echo "			</div>\n";
				echo "		</div>\n";
				//Sconto Extra
				echo "		<div class='col-md-3'>\n";
				echo "			<div class='form-group'>\n";
				echo "				<label>Extra Sconto</label>\n";
				echo "				<div class='input-group'>\n";
				echo "					<input type='text'  class='form-control inputmask-decimal'  id='sconto_extra' name='sconto_extra' value=\"0,00\" /><span class='input-group-addon'></span>\n";
				echo "				</div>\n";
				echo "			</div>\n";
				echo "		</div>\n";
				//Sconto Extra1
				echo "		<div class='col-md-3'>\n";
				echo "			<div class='form-group'>\n";
				echo "				<label>Extra Sconto</label>\n";
				echo "				<div class='input-group'>\n";
				echo "					<input type='text'  class='form-control inputmask-decimal'  id='sconto_extra1' name='sconto_extra1' value=\"0,00\" /><span class='input-group-addon'></span>\n";
				echo "				</div>\n";
				echo "			</div>\n";
				echo "		</div>\n";
	
				//Tipo Sconto
				$query = "SELECT * FROM co_tipisconto";
				$rs = $dbo->fetchArray($query);	
				echo "		<div class='col-md-3'>\n";
				echo "			<label>Tipologia Sconto</label>\n";
					echo "			<select id='idtiposconto' class='superselect' name=\"idtiposconto\">\n";														
					echo "					<option value='2'>Percentuale</option>\n";	
					for( $i=0; $i<sizeof($rs); $i++ ){				
						echo "	<option value='".$rs[$i]['id']."' $attr>".$rs[$i]['descrizione']."</option>\n";
					}	
					echo "			</select>\n";	
				echo "		</div>\n";						
			echo "		</div>\n";
		echo "		</div>\n";
	echo "		</div>\n";		
	

		
	
	//Visualizzazione ultime 5 vendite generiche
	echo "	<div class='row'>\n";
	echo "		<div class='col-md-12'>\n";
	echo "			<div class='form-group'>\n";
	echo "					<a class=\"btn btn-info\" onclick=\"$('#prezzi').load('".$rootdir."/ajax_autocomplete.php?module=Articoli&op=getprezzi&idarticolo='+$('#idarticolo option:selected').val()+'&idanagrafica=".$idanagrafica."' );\"> <i class=\"fa fa-search\"></i>  Visualizza ultimi prezzi</a><br>\n";
	echo "					<div id='prezzi' class=\"pull-left\" ></div>\n";
	echo "			</div>\n";
	echo "		</div>\n";
	echo "	</div>\n";
	?>
	
	
	<script type="text/javascript">
	
		dir = '<?php echo $dir ?>';
		
		$('#idcategoria1').change( function(){ 						
			$.get('<?php echo $rootdir ?>/ajax_autocomplete.php?module=FiltroCat&idcategoria='+this.value+'&idmodulo='+id_module , function(data,response){ 				
			//	start_jquerychosen();
			//	start_inputmask();		
			});	
		});			
		
		function addarticolo(){
			if( $('#idarticolo').val()!='' && $('#idiva option:selected').val()!='' ){
				$("#link_form").submit();
			}
		}
		
		function addarticolo_vendita(){
			if( $('#idarticolo').val()!='' && $('#idiva option:selected').val()!='' ){
				$("#link_form").submit();
			}
		}
		
		function addarticolo_acquisto(){
			if( $('#idarticolo').val()!='' && $('#idiva option:selected').val()!='' ){
				$("#link_form").submit();
			}
		}
		
		function ricalcola_totale( dir ){
			max_qta = $('#idarticolo option:selected').attr('qta_magazzino');
			max_qta = force_decimal( max_qta );

			qta = $('#qta').val();
			qta_commas = qta.replace('.', ',');
			qta = force_decimal( qta );

			//if( qta>max_qta && dir=='entrata' ){
			//	$('#qta').val( max_qta );
			//	qta = max_qta;
			//}

			prezzo = $('#idarticolo').find('option:selected').attr('prezzo');
			prezzo = force_decimal( prezzo );
			
			sconto = $('#idarticolo').find('option:selected').attr('sconto');
			sconto = force_decimal( sconto );

			$('#prezzo').val( decimals_with_commas( prezzo, 2 ) );
			$('#sconto').val( decimals_with_commas( sconto, 2 ) );
		}

		
		$(document).ready( function(){
			$('#qta, #idarticolo').keyup( function(){
				ricalcola_totale( '<?php echo $dir ?>' );
			});
		});
	</script>
	<script src="<?php echo $rootdir; ?>/lib/init.js"></script>

	
	

	<?php
	
	if( $dir=='entrata' )
		echo "<a onclick=\"addarticolo_vendita();\" class=\"btn btn-primary pull-right\"><i class=\"fa fa-plus\"></i> Aggiungi</a>\n";
	else
		echo "<a onclick=\"addarticolo_acquisto();\" class=\"btn btn-primary pull-right\"><i class=\"fa fa-plus\"></i> Aggiungi</a>\n";
	
	echo "</form>\n";
	
	?>
	
	<div class="clearfix"></div>


